package bo.dummy.module.test;

import bo.dummy.framework.api.rest.data.DummyClass;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import java.util.logging.Level;
import java.util.logging.Logger;

@Path("dummy")
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class DummyRest {
	private static final Logger LOG = Logger.getLogger(DummyRest.class.getName());

	@POST
	@Path("info")
	public DummyClass getInfo() {
		LOG.log(Level.INFO, "Calling getInfo");
		DummyClass info = new DummyClass();
		info.setId(1234567890L);
		info.setName("Name of something");
		return info;
	}
}
